<?php 
/**
 * 
 * @package luzuk
 */

if(get_theme_mod('testimonials_area_disable') != 'on' ){ ?> 
    <?php 
      if( get_theme_mod('testimonials_areaTpadding',true) ) {
        $testimonials_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('testimonials_areaTpadding')).';';
      }
      if( get_theme_mod('testimonials_areaBpadding',true) ) {
        $testimonials_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('testimonials_areaBpadding')).';';
      }

    ?>  
 
<div id="testimonials"class="testimonials-area " >
<!-- <div class="tes-olay"></div> -->
    <?php
        $testi_title1 = get_theme_mod('testititle1', 'Testimonal');
        $testi_title2 = get_theme_mod('testi_title2', 'Discover the Southern Flavors Within Our Wines');
    ?>
    <div class="container">
       
        <?php if($testi_title1 || $testi_title2 ){ ?> 
        <div class="section-title">
            <?php if($testi_title1 ){ ?> 
            <h2>
                <?php echo ($testi_title1); ?>
                <div class="t-brd"></div>
            </h2>   
            <?php }?>

            <?php if($testi_title2 ){ ?> 
            <p><?php echo ($testi_title2); ?></p>
            <?php }?>
        </div>
        <?php }?>
      
    </div>
    <div class="container">      
        <div class="row mr-0">
              <div class="tesbox">
                <div class="testimonials-single-area"> 
                    <div class="owl-carousel "> 
                      <?php  
                        $showStatic = true;
                        $cols = get_theme_mod('test_npp_count', 5);
                        $cols++;
                        switch($cols){
                          case 1:
                            $colCls = 'col-md-12 col-sm-12 col-xs-12';
                            break;
                          case 2:
                            $colCls = 'col-md-6 col-sm-6 col-xs-12';
                            break;
                          case 3:
                          case 5:
                          case 6:
                          case 7:
                          case 8:
                          case 9:
                          case 10:
                          case 11:
                          case 12:
                            $colCls = 'col-md-4 col-sm-6 col-xs-12';
                            break;
                          default:
                            $colCls = 'col-md-3 col-sm-6 col-xs-12';
                            break;
                        }
                        $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell'); 

                        for( $i = 1; $i <= $cols; $i++ ){
                          $testimonials_page_id = get_theme_mod('testimonials_page'.$i); 
                          $testimonials_page_icon = get_theme_mod('testimonials_page_icon'.$i);
                          if($testimonials_page_id){
                            $showStatic = false;
                            echo testimonialShortCode($testimonials_page_id, $isCustomizer=true, $i);
                        }
                      }

                        // adding the static content
                        if($showStatic === true){
                          for( $i = 1; $i <= $cols; $i++ ){ ?>
                        <div class="item items innertest-item ">        
                            <div class="ts-area-single ">
                                <div class="tsarea-inn">
                                    <div class="ts-area-thumb">
                                        <div class="testiimginn">
                                            <img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/images/testi.jpg" alt="">
                                        </div>
                                    </div>
                                    <div class="ts-area-content">
                                        <div class="ts-area-bx">
                                            <h3 class="ts-area-title">Smith Enterprises</h3>
                                            <div class="text-designation">Company Ceo</div>
                                        </div>
                                        <div class="ts-area-c">   
                                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do labore et dolore magna aliqua. dolore magna aliqua. dolore magna aliqua. </p>
                                            <div class="clearfix"></div>
                                        </div>  
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                          <?php }

                        }?>
                    </div>   
                </div>
                <div class="clearfix"></div>
            </div>
         
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(document).ready(function() {
      $('.testimonials-area .owl-carousel').owlCarousel({
        refreshClass: 'owl-refresh',
        autoplayTimeout:5000,
        loop: true,
        margin: 30,
        autoHeight: false,
        autoWidth: false,
        autoplay: false,
        center: true,
        // animateOut: 'zoomIn',
        responsiveClass: true,
        navText: [
                    '<i class="fa fa-angle-left"></i> ',
                    '<i class="fa fa-angle-right"></i>'
                ],
        responsive: {
          320 : {
            items:1,
            nav: true,
            margin: 20
          },

          576 : {
            items:3,
            nav: true,
            margin: 20
          },
          992: {
            items:5,
            nav: true,
            margin: 20
          },

          1200: {
            items:5,
            nav: true,
            loop: true,
            margin: 40
          }
        }
      })
    })
</script> 
<?php } 

